Package com.io7m.waxmill.cmdline.internal

# Class WXMCommandVMAddAHCIDisk

java.lang.Object
com.io7m.claypot.core.CLPAbstractCommand
com.io7m.waxmill.cmdline.internal.WXMAbstractCommandWithConfiguration
com.io7m.waxmill.cmdline.internal.WXMCommandVMAddAHCIDisk

All Implemented Interfaces:
  `com.io7m.claypot.core.CLPCommandType`

    public final class WXMCommandVMAddAHCIDisk
    extends WXMAbstractCommandWithConfiguration

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.claypot.core.CLPCommandType

  `com.io7m.claypot.core.CLPCommandType.Status`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WXMCommandVMAddAHCIDisk​(com.io7m.claypot.core.CLPCommandContextType inContext)` | Construct a command.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected com.io7m.claypot.core.CLPCommandType.Status` | `executeActualWithConfiguration​(java.nio.file.Path configurationPath)` |
  `java.lang.String` | `extendedHelp()` |
  `java.lang.String` | `name()` |

  ### Methods inherited from class com.io7m.waxmill.cmdline.internal.WXMAbstractCommandWithConfiguration

  `error, executeActual, info, messages`

  ### Methods inherited from class com.io7m.claypot.core.CLPAbstractCommand

  `commander, configuration, context, execute, logger, strings`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WXMCommandVMAddAHCIDisk

    public WXMCommandVMAddAHCIDisk​(com.io7m.claypot.core.CLPCommandContextType inContext)
    Construct a command.
    Parameters:
      `inContext` - The command context

- ## Method Details

  - ### name

    public java.lang.String name()

  - ### extendedHelp

    public java.lang.String extendedHelp()

  - ### executeActualWithConfiguration

    protected com.io7m.claypot.core.CLPCommandType.Status executeActualWithConfiguration​(java.nio.file.Path configurationPath) throws java.lang.Exception
    Specified by:
      `executeActualWithConfiguration` in class `WXMAbstractCommandWithConfiguration`
    Throws:
      `java.lang.Exception`